/* **********************************************************
 * Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

/************************************************************
 *
 *   net.h
 *
 *   This file should contain all network global defines.
 *   No vlance/vmxnet/vnet/vmknet specific stuff should be
 *   put here only defines used/usable by all network code.
 *   --gustav
 *
 ************************************************************/

#ifndef _NET_H_
#define _NET_H_

#define INCLUDE_ALLOW_USERLEVEL
#define INCLUDE_ALLOW_MODULE
#define INCLUDE_ALLOW_VMM
#include "includeCheck.h"

#ifdef linux
#define VMNET_NAME_BRIDGED      "/dev/vmnet0"
#define VMNET_NAME_HOSTONLY     "/dev/vmnet1"
#define VMNET_NAME_NAT          "/dev/vmnet8"
#define VMNET_NAME_PREFIX       "/dev/vmnet"
#define VMNET_NAME_LEN          13
#elif _WIN32
#define VMNET_NAME_BRIDGED      "VMnet0"
#define VMNET_NAME_HOSTONLY     "VMnet1"
#define VMNET_NAME_NAT          "VMnet8"
#define VMNET_NAME_PREFIX       "VMnet"
#define VMNET_NAME_LEN          7
#else
#error "Which VNET is which?"
#endif


#define RETURN_IF_DISCONNECTED_VOID(adapter) \
   if (!(adapter)->connected) { return; }
#define RETURN_IF_DISCONNECTED_INT(adapter, _retval) \
   if (!(adapter)->connected) { return _retval; }


#define MAX_ETHERNET_CARDS      4 

#define ETHERNET_MTU         1518

#define ETHER_ADDR_LEN          6

#define NET_MAX_QUEUED_PACKET 1528

#define NET_BUF_TOO_SMALL      -1
#define NET_BUF_INVALID_ADDR   -2
#define NET_BE_DISCONNECTED    -3
#define NET_TX_FAILED          -4
#define NET_RX_FAILED          -5

/* Network capabilities supported by backends. Passed to emulation layer. */
#define CAP_XMIT_CHECKPENDING  0x1

/*
 * This should really not be here since it is only used by the VMKernel backend
 * and the vmxnet_shared.h file. I just don't know where else to put it for
 * now. --gustav
 */
#define MAX_CPT_DATA_LENGTH    64

#endif //_NET_H_
